Subject: Re: Deployment questions

From: june <[email-masked]>
Date: Sat, 4 Oct 2025 16:20:22 -0400

> On Oct 1, 2025, at 16:56, Lydia Sobot <[email-masked]> wrote:
> 
> Hi, I was wondering the following 2 things when reading through the README to deploy scooper on my system:
> 1) what was the reasoning behind vendoring SQLite when that means that
> the vendored version will lag behind the system version used by
> litterbox? Is it still necessary?

I decided to vendor sqlite so that scooper could consistently be
statically linked. I think FreeBSD stopped building libsqlite3.a
in their port and I cared about that at the time.

> 2) does slowcgi from OpenBSD base not work for some reason given the
> specific chroot and socket setup required given that httpd runs under
> www:www and litterbox usually runs under your own user?

yeah, that's why it's more convenient to run it with kfcgi(8).

> Thanks in advance and loving your software ❤️
> 
> P.S.: it might be useful to cut a release with the manpage updates for
> replacing catsit with kitd to avoid package maintainers having to
> backport a patch for that

yeah a lot of my projects could probably use new releases... I'll
get around to them eventually maybe.